## prank 0.0.140110

=== debian/changelog ===
prank (0.0.140110-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2014 18:06:05 +0100

prank (0.0.130820-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #627391)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Nov 2013 14:29:31 +0100
