=== debian/control ===
Source: prank
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Manuel Prinz <manuel@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/prank/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/prank/trunk/
Homepage: http://code.google.com/p/prank-msa/

Package: prank
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: t-coffee
Description: Probabilistic Alignment Kit for DNA, codon and amino-acid sequences
 PRANK is a probabilistic multiple alignment program for DNA, codon
 and amino-acid sequences. It's based on a novel algorithm that treats
 insertions correctly and avoids over-estimation of the number of
 deletion events. In addition, PRANK borrows ideas from maximum
 likelihood methods used in phylogenetics and correctly takes into
 account the evolutionary distances between sequences. Lastly, PRANK
 allows for defining a potential structure for sequences to be aligned
 and then, simultaneously with the alignment, predicts the locations
 of structural units in the sequences.
 .
 PRANK is a command-line program for Unix-style environments but the
 same sequence alignment engine is implemented in the graphical
 program PRANKSTER. In addition to providing a user-friendly interface
 to those not familiar with Unix systems, PRANKSTER is an alignment
 browser for alignments saved in the HSAML format. The novel format
 allows for storing all the information generated by the aligner and
 the alignment browser is a convenient way to analyse and manipulate
 the data.
 .
 PRANK aims at an evolutionarily correct sequence alignment and often
 the result looks different from ones generated with other alignment
 methods. There are, however, cases where the different look is caused
 by violations of the method's assumptions. To understand why things
 may go wrong and how to avoid that, read this explanation of
 differences between PRANK and traditional progressive alignment
 methods.
