## prank 0.0.150803

=== debian/changelog ===
prank (0.0.150803-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New homepage
  * d/watch: Adapt to new location
  * d/copyright: Upstream-Contact

  [ Sascha Steinbiss ]
  * Fix building with GCC 6
    Closes: #811827
  * Enable full hardening.
  * Bump Standards-Version.
  * Use secure Vcs-*.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 13 May 2016 21:57:42 +0000

prank (0.0.150803-1) unstable; urgency=medium

  * New upstream version.
  * Team upload.

 -- Steffen Moeller <moeller@edebiaan.org>  Fri, 27 Nov 2015 17:44:39 +0100
