=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/prank/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/prank/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/prank/trunk/
-Homepage: http://code.google.com/p/prank-msa/
+Homepage: http://wasabiapp.org/software/prank/
 
 Package: prank
 Architecture: any
@@ -26,7 +26,7 @@
  and then, simultaneously with the alignment, predicts the locations
  of structural units in the sequences.
  .
- PRANK is a command-line program for Unix-style environments but the
+ PRANK is a command-line program for UNIX-style environments but the
  same sequence alignment engine is implemented in the graphical
  program PRANKSTER. In addition to providing a user-friendly interface
  to those not familiar with Unix systems, PRANKSTER is an alignment
