=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=src

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=$(SRCDIR) --parallel

override_dh_auto_clean:
	# No distclean! See README.source
	( cd $(SRCDIR) ; make clean )
	( cd $(SRCDIR) ; rm -f prank prank.1 )

override_dh_auto_build:
	dh_auto_build --verbose

override_dh_install:
	dh_install $(SRCDIR)/prank /usr/bin
	dh_installman $(SRCDIR)/prank.1

override_dh_installchangelogs:
	dh_installchangelogs VERSION_HISTORY
