=== debian/watch ===
version=3
opts="uversionmangle=s/^/0.0./" \
  http://wasabiapp.org/download/prank/ prank\.source\.(\d+)\.tgz
