## prank 0.0.170427%2Bdfsg

=== debian/changelog ===
prank (0.0.170427+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:34 +0100

prank (0.0.170427+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added references to registries.
  * Added reference to paper shown in OMICtools

  [ Helmut Grohne ]
  * Enable cross building
    Closes: #900191

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sun, 27 May 2018 16:03:27 +0200

prank (0.0.170427+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Exclude .git repository from upstream source
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2017 11:24:34 +0200

prank (0.0.150803-3) experimental; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Move packaging from SVN to Git

  [ Büşra Selin Pekişçi ]
  * Autopkgtest added
    Closes: #848329

 -- Büşra Selin Pekişçi <busra.pekisci@gmail.com>  Thu, 23 Mar 2017 01:32:50 +0300
