## prank 0.0.170427+dfsg

=== debian/changelog ===
prank (0.0.170427+dfsg-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 15:25:58 +0100
