=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/prank/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/prank/trunk/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/prank
+Vcs-Git: https://salsa.debian.org/med-team/prank.git
 Homepage: http://wasabiapp.org/software/prank/
+Rules-Requires-Root: no
 
 Package: prank
 Architecture: any
