## prank 170703

=== debian/changelog ===
prank (170703-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * watch file standard 4 (routine-update)
  * Update FSF contact address in debian/copyright
  * Refresh Makefile patches and merge them.
  * New homepage

 -- Charles Plessy <plessy@debian.org>  Fri, 05 Sep 2025 11:14:08 +0900
