=== debian/changelog ===
prank (250331-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh Makefile patch and forward it.
  * Replace test data file with one from upstream documentation.

 -- Charles Plessy <plessy@debian.org>  Mon, 08 Sep 2025 09:06:19 +0900
