=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/prank
 Vcs-Git: https://salsa.debian.org/med-team/prank.git
-Homepage: http://wasabiapp.org/software/prank/
+Homepage: https://ariloytynoja.github.io/prank-msa/
 Rules-Requires-Root: no
 
 Package: prank
