=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --sourcedirectory=$(SRCDIR) --parallel
+	dh $@ --sourcedirectory=$(SRCDIR)
 
 override_dh_auto_clean:
 	# No distclean! See README.source
