=== debian/watch ===
version=4
opts="uversionmangle=s/^/0.0./,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://wasabiapp.org/download/prank/ prank\.source\.(\d+)\.tgz
